commit:     aef94bbd8477db78cadbf8fe9909038b1c4afb82
Author:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 12 23:02:41 2017 +0000
Commit:     Gilles Dartiguelongue <eva <AT> gentoo <DOT> org>
CommitDate: Sat Aug 12 23:15:03 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aef94bbd

media-sound/sound-juicer: version bump 3.22.1 → 3.24.0

Package-Manager: Portage-2.3.6, Repoman-2.3.3

 media-sound/sound-juicer/Manifest                  |  1 +
 .../sound-juicer/sound-juicer-3.24.0.ebuild        | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/media-sound/sound-juicer/Manifest 
b/media-sound/sound-juicer/Manifest
index 3b434d8073b..2f0007bf0af 100644
--- a/media-sound/sound-juicer/Manifest
+++ b/media-sound/sound-juicer/Manifest
@@ -1 +1,2 @@
 DIST sound-juicer-3.22.1.tar.xz 1015520 SHA256 
adbbda063436ca2c4d04f2ccfe6e3a5ce4abb7e1c61bc9a47300665eed9e38ec SHA512 
023bc24006930edc9c224e0d437d2c3dbd513af9c56737cca800e38e8f56d76686e5fdff13e9cdb81f27fe3dd87b274611484a8beb0f8705d4cde5d56a23f7a2
 WHIRLPOOL 
0d42e43a93f9bd3d06d5debf6f0562e27e601e0266483b6cdd73fdd53851dbc9fdd7057a951635880e0eb655f3a4f2a5a282989824d2b2eadfaf4b100e4477a7
+DIST sound-juicer-3.24.0.tar.xz 1019588 SHA256 
de6ae3889e60a572221274517a90d29dd21023acf3a94cc9c033270776270fa7 SHA512 
7bd158a4e3a7c3072513fc508f59cd70b6d9371cde142fdb58597e72b3687790b9368fc7e1a35fd8c7b49cb28703f8b2da4a789854f96cdc0af076278818a91f
 WHIRLPOOL 
5bb8610767354cf96615e77c334685fb3d9e866473e835d09eab492fbed5ae410b0951bd58dd9075ce6fb13b9d5771d712f67e7e364813e166dbd39c3af06743

diff --git a/media-sound/sound-juicer/sound-juicer-3.24.0.ebuild 
b/media-sound/sound-juicer/sound-juicer-3.24.0.ebuild
new file mode 100644
index 00000000000..21fcbaefd39
--- /dev/null
+++ b/media-sound/sound-juicer/sound-juicer-3.24.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2
+
+DESCRIPTION="CD ripper for GNOME"
+HOMEPAGE="https://wiki.gnome.org/Apps/SoundJuicer";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="debug flac test vorbis"
+
+COMMON_DEPEND="
+       app-text/iso-codes
+       >=dev-libs/glib-2.49.5:2[dbus]
+       >=x11-libs/gtk+-3.21.6:3
+       media-libs/libcanberra[gtk3]
+       >=app-cdr/brasero-2.90
+       sys-apps/dbus
+       gnome-base/gsettings-desktop-schemas
+
+       >=media-libs/libdiscid-0.4.0
+       >=media-libs/musicbrainz-5.0.1:5=
+
+       media-libs/gstreamer:1.0
+       media-libs/gst-plugins-base:1.0[vorbis?]
+       flac? ( media-plugins/gst-plugins-flac:1.0 )
+"
+RDEPEND="${COMMON_DEPEND}
+       gnome-base/gvfs[cdda,udev]
+       || (
+               media-plugins/gst-plugins-cdparanoia:1.0
+               media-plugins/gst-plugins-cdio:1.0 )
+       media-plugins/gst-plugins-meta:1.0
+"
+DEPEND="${COMMON_DEPEND}
+       app-text/yelp-tools
+       dev-libs/appstream-glib
+       >=sys-devel/gettext-0.19.6
+       virtual/pkgconfig
+       test? ( ~app-text/docbook-xml-dtd-4.3 )
+"
+
+src_prepare() {
+       gnome2_src_prepare
+
+       # FIXME: gst macros does not take GST_INSPECT override anymore but we 
need a
+       # way to disable inspection due to gst-clutter always creating a GL 
context
+       # which is forbidden in sandbox since it needs write access to
+       # /dev/card*/dri
+       sed -e "s|\(gstinspect=\).*|\1$(type -P true)|" \
+               -i configure || die
+}
+
+src_configure() {
+       gnome2_src_configure \
+               $(usex debug --enable-debug=yes ' ')
+}

Reply via email to